

drivers/net/via-velocity.c:3229: warning: `mask_pattern' defined but not used

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-power4-akpm/drivers/net/via-velocity.c |   11 +++++------
 drivers/net/via-velocity.h                |    0 
 2 files changed, 5 insertions(+), 6 deletions(-)

diff -puN drivers/net/via-velocity.c~velocity-warning-fixes-3 drivers/net/via-velocity.c
--- 25-power4/drivers/net/via-velocity.c~velocity-warning-fixes-3	2004-06-19 22:34:32.040311600 -0700
+++ 25-power4-akpm/drivers/net/via-velocity.c	2004-06-19 22:36:13.976814896 -0700
@@ -3036,6 +3036,11 @@ static int velocity_set_wol(struct veloc
 	static u8 buf[256];
 	int i;
 
+	static u32 mask_pattern[2][4] = {
+		{0x00203000, 0x000003C0, 0x00000000, 0x0000000}, /* ARP */
+		{0xfffff000, 0xffffffff, 0xffffffff, 0x000ffff}	 /* Magic Packet */
+	};
+
 	writew(0xFFFF, &regs->WOLCRClr);
 	writeb(WOLCFG_SAB | WOLCFG_SAM, &regs->WOLCFGSet);
 	writew(WOLCR_MAGIC_EN, &regs->WOLCRSet);
@@ -3225,12 +3230,6 @@ const static unsigned short crc16_tab[25
 	0x7bc7, 0x6a4e, 0x58d5, 0x495c, 0x3de3, 0x2c6a, 0x1ef1, 0x0f78
 };
 
-
-static u32 mask_pattern[2][4] = {
-	{0x00203000, 0x000003C0, 0x00000000, 0x0000000},	/* ARP		*/
-	{0xfffff000, 0xffffffff, 0xffffffff, 0x000ffff}		/* Magic Packet */ 
-};
-
 /**
  *	ether_crc16	-	compute ethernet CRC
  *	@len: buffer length
diff -puN drivers/net/via-velocity.h~velocity-warning-fixes-3 drivers/net/via-velocity.h
_
